Bug 137297 - Crash if enlightenment is installed
Crash if enlightenment is installed
Status: CLOSED DUPLICATE of bug 124408
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 07:10 EDT by Svanur Palsson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-19 11:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Svanur Palsson 2004-10-27 07:10:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
If enlightenment is installed switchdesk-gui wont't run.  There's a
typo in switchdesk.glade line 186 where the widget id is
"enligtenmentRB" (notice the missing 'h') and switchdesk-gui.py is
requesting "enlightenmentRB" resulting in a crash.

Actually there is also a type in line 196 in the signalhandler - also
missing the 'h' where it should be on_enlightenmentRB_clicked but
actually is on_enligtenmentRB_clicked

Version-Release number of selected component (if applicable):
4.0.3-1

How reproducible:
Always

Steps to Reproduce:
1.  Install enlightenment
2.  Run 'switchdesk' with X running
    

Actual Results:  Traceback (most recent call last):
  File "/usr/share/switchdesk/switchdesk-gui.py", line 207, in ?
    dlg = mainDialog().main()
  File "/usr/share/switchdesk/switchdesk-gui.py", line 87, in main
    self.hydrate()
  File "/usr/share/switchdesk/switchdesk-gui.py", line 150, in hydrate
    self.hydrate_wm()
  File "/usr/share/switchdesk/switchdesk-gui.py", line 169, in hydrate_wm
    self.xml.get_widget('enlightenmentRB').show()
AttributeError: 'NoneType' object has no attribute 'show'

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:25:33 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ngo Than 2005-07-19 11:38:10 EDT

*** This bug has been marked as a duplicate of 124408 ***

Note You need to log in before you can comment on or make changes to this bug.